/*
  Merge All Group

  このスクリプトについて
    アクティブなドキュメントのアートボード内のすべてのグループを統合するスクリプト.

  使用方法
    ファイル→スクリプト→参照から実行.

  バージョン情報
    2017/12/14 Ver 1.0.0 Release
*/
/// <reference path="C:/Users/RUI/OneDrive/lib/photoshop.d.ts/dist/cs6/index.d.ts"/>
(function () {
    var data = {
        scriptName: "Merge All Group",
        version: 1.0
    };
    if (app.locale == "ja_JP") {
        data.scriptName = "すべてのグループを統合";
    }
    function main() {
        var actDoc = app.activeDocument;
        if (actDoc == null) {
            return 0;
        }
        var myLayerSets = actDoc.layerSets;
        for (var i = myLayerSets.length - 1; i >= 0; i--) {
            for (var j = myLayerSets[i].layerSets.length - 1; j >= 0; j--) {
                myLayerSets[i].layerSets[j].merge();
            }
        }
        return 0;
    }
    app.activeDocument.suspendHistory(data.scriptName, "main()");
}).call(this);
